zerops:
  - setup: base
    build:
      envVariables:
        RAILS_ENV: production
        BUNDLE_DEPLOYMENT: 1
        BUNDLE_WITHOUT: development
        BUNDLE_PATH: vendor/bundle
      buildCommands:
        - sudo chown -R zerops:zerops /build/source
        - |
          su zerops << EOF
          whoami
          bundle install
          bundle exec bootsnap precompile app/ lib/
          EOF
#      cache:
#        - vendor/bundle
      deployFiles:
        - .
    run:
      envVariables:
        RAILS_ENV: production
        BUNDLE_DEPLOYMENT: 1
        BUNDLE_WITHOUT: development
        BUNDLE_PATH: vendor/bundle
      ports:
        - port: 3000
          httpSupport: true
      start: bin/rails server
      
  - setup: alpineruby34
    extends: base
    build:
      os: alpine
      base: ruby@3.4
    run:
      os: alpine
      base: ruby@3.4
      
  - setup: alpineruby32
    extends: base
    build:
      os: alpine
      base: ruby@3.2
    run:
      os: alpine
      base: ruby@3.2
      
  - setup: ubunturuby34
    extends: base
    build:
      os: ubuntu
      base: ruby@3.4
    run:
      os: ubuntu
      base: ruby@3.4
    